Skip to main content

Generate topology through an agent

POST
/topology/generate

Contract

Parameter
Value
Sectiontasks
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectRequest body: {agentId: number, protocol: string, type: string, node_count: number, config?: object}
  • {}

Responses

5 responses

Status
Description
Type
200
Successful responseobject
400
Invalid request body or missing agentIdobject
401
Unauthorizedobject
404
Agent not foundobject
500
Failed to proxy the request to the agentobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }